package sun.applet;

import java.util.MissingResourceException;
import java.text.MessageFormat;
import java.util.ResourceBundle;

class AppletMessageHandler
{
    private static ResourceBundle rb;
    private String baseKey;
    
    AppletMessageHandler(String baseKey) {
        this.baseKey = null;
        this.baseKey = baseKey;
    }
    
    String getMessage(String s) {
        return AppletMessageHandler.rb.getString(this.getQualifiedKey(s));
    }
    
    String getMessage(String s, Object o) {
        MessageFormat messageFormat = new MessageFormat(AppletMessageHandler.rb.getString(this.getQualifiedKey(s)));
        Object[] obj = { null };
        if (o == null) {
            o = "null";
        }
        obj[0] = o;
        return messageFormat.format(obj);
    }
    
    String getMessage(String s, Object o, Object o2) {
        MessageFormat messageFormat = new MessageFormat(AppletMessageHandler.rb.getString(this.getQualifiedKey(s)));
        Object[] obj = new Object[2];
        if (o == null) {
            o = "null";
        }
        if (o2 == null) {
            o2 = "null";
        }
        obj[0] = o;
        obj[1] = o2;
        return messageFormat.format(obj);
    }
    
    String getMessage(String s, Object o, Object o2, Object o3) {
        MessageFormat messageFormat = new MessageFormat(AppletMessageHandler.rb.getString(this.getQualifiedKey(s)));
        Object[] obj = new Object[3];
        if (o == null) {
            o = "null";
        }
        if (o2 == null) {
            o2 = "null";
        }
        if (o3 == null) {
            o3 = "null";
        }
        obj[0] = o;
        obj[1] = o2;
        obj[2] = o3;
        return messageFormat.format(obj);
    }
    
    String getMessage(String s, Object[] obj) {
        return new MessageFormat(AppletMessageHandler.rb.getString(this.getQualifiedKey(s))).format(obj);
    }
    
    String getQualifiedKey(String str) {
        return this.baseKey + "." + str;
    }
    
    static {
        try {
            AppletMessageHandler.rb = ResourceBundle.getBundle("sun.applet.resources.MsgAppletViewer");
        }
        catch (MissingResourceException ex) {
            System.out.println(ex.getMessage());
            System.exit(1);
        }
    }
}
